(function($, doc) {
		$.init();
		
		
		 //初始化单页view
		var viewApi = mui('#app').view({
			defaultPage: '#setting'
		});
		//初始化单页的区域滚动
		mui('.mui-scroll-wrapper').scroll();
		
		
		//初始化	
		function preload () {
			
		}
		$.plusReady(function() {
			
			//读取本地存储，检查是否为首次启动
				var showGuide = plus.storage.getItem("lauchFlag");
				if(showGuide){
					//有值，说明已经显示过了，无需显示；
					//关闭splash页面；
					plus.navigator.closeSplashscreen();
					plus.navigator.setFullscreen(false);
					
					//预加载
					preload();
				}else{
					//显示启动导航
					mui.openWindow({
						id:'guide',
						url:'guide.html',
						show:{
							aniShow:'none'
						},
						waiting:{
							autoShow:false
						}
					});
					//延迟的原因：优先打开启动导航页面，避免资源争夺
					setTimeout(function () {
						//初始化数据
						preload();
					},200);
				}
				
			
			
			//安卓返回按钮事件监听
			var backButtonPress = 0;
			$.back = function(event) {
				backButtonPress++;
				if (backButtonPress > 1) {
					plus.runtime.quit();
				} else {
					plus.nativeUI.toast('再按一次退出应用');
				}
				setTimeout(function() {
					backButtonPress = 0;
				}, 1000);
				return false;
			};
			
			//处理view的后退与webview后退
			var oldBack = $.back;
			$.back = function() {
				if (viewApi.canBack()) { //如果view可以后退，则执行view的后退
					viewApi.back();
					showNewList();
				} else { //执行webview后退
					oldBack();
				}
				
			};
		});
	}(mui, document));




//根据给定的数据列表在页面上追加条目//////////////////////////////////////////////////////////////////////////////
    /**
     * 将服务端过来的数据逐一显示
     * @param data
     */

//定义全局的newsid数组
var news_id_arr = new Array(); 

var append_items = function(data) {
		
		//太多会导致很慢 这里限制只看最近7天的
		var item_num=data.length;
		if(item_num>=7){
			item_num=7;
		}
		
		var news_id_arr_index=0;
        for (var i = 0; i < item_num; i++) {
        	
        	//循环每一条专题
            var item = data[i];
            var news_id=item["id"];
            var title_news=item["title"];
            //alert(news_id);
            //alert(title_news);
            
            if(i==0){
            	$("#news_list").append("<div class='title'><p>今天：  "+title_news+"</p></div>");
            }else if(i==1){
            	$("#news_list").append("<div class='title'><p>昨天：  "+title_news+"</p></div>");
            }else{
            	$("#news_list").append("<div class='title'><p>"+title_news+"</p></div>");
            }
           
            
            var data_detail_newsList=get_topic_detail("7088922eb6d5a680ae9364f6209c0fdd",0,news_id);
            var item_news_tou="";
            var item_news_wei="";
            
           
            
            for (var j = 0 ; j < data_detail_newsList.length; j++) {
            	var item_news = data_detail_newsList[j];
            	//alert(item_news["title"]);
            	
            	if( j == 0){//第一条大图显示 
            		item_news_tou="<li class='mui-table-view-cell mui-media'>  "+
            						"<a id='"+item_news["id"]+"' href='#newsdetail'>"+
		        						"<img style='width: 100%;height: 180px;'  src='"+item_news["imgUrl"][0]+"'>"+
		        					"</a>"+
		    					  "</li>";
		    		news_id_arr[news_id_arr_index]=	item_news["id"];	
		    		news_id_arr_index++;
            	}else{
            		item_news_wei=item_news_wei+"<li class='mui-table-view-cell mui-media'>"+
												//"<a id='"+item_news["id"]+"'  href='news-detail.html?id="+item_news["id"]+"'>"+
												"<a id='"+item_news["id"]+"'  href='#newsdetail'>"+
												"<img class='mui-media-object mui-pull-right' src='"+item_news["imgUrl"][0]+"'>"+
													"<div class='mui-media-body'>"+
														"<p class='mui-ellipsis'>"+item_news["title"]+"</p>"+
													"</div>"+
													"</a>"+
												"</li>"; 
					news_id_arr[news_id_arr_index]=	item_news["id"];	
		    		news_id_arr_index++;							
            	}
            }
            $("#news_list").append("<div class='mui-card' style='margin-bottom: 35px;'>"+
	            						"<ul class='mui-table-view'>"+
		            						item_news_tou+
		            						item_news_wei+
	            						"</ul>"+
            						"</div>");
        }
    }
    /**
     * 获取最新的早餐专题
     * @param token
     * @param user_id
     */
var get_news_list = function(token,userId) {
		var token="7088922eb6d5a680ae9364f6209c0fdd";
		var userId=0;
		var channelId=1001;
		var pubTime=0;
		var type=0;
        var result = get_thrift_client().getNewsListV2(token,userId, channelId, pubTime, type);
        //alert(result.newsList);
        append_items(result.newsList);
    }

    /**
     * 获取最新的早餐专题
     * @param token
     * @param user_id
     */
var get_topic_detail = function(token,userId,topicId) {
	
		var token="7088922eb6d5a680ae9364f6209c0fdd";
		var userId=0;
        var result = get_thrift_client().getTopicDetail(token,userId, topicId);
        //alert(result.newsDetail);
        //alert(result.newsList);
        return result.newsList;
    }




 /**
     * 获取最新的早餐专题
     * @param token
     * @param user_id
     */
    	
var get_app_config = function() {
		var platform=0;  //0代码安卓
		var version="1.3";
		var version_code=8;
        var result = get_thrift_client().getMorningAppConfig(platform,version);
        //alert(result.appConfig);
        if(result.appConfig!=null){ 
        	//判断服务器版本是否比本地高
        	//alert(result.appConfig.upgradeUrl);
        	if(result.appConfig.versionCode>version_code){
        		var btnArray = ['立即更新', '下次再说']; 
				mui.confirm(result.appConfig.updateExpla+'是否要更新？', '版本更新内容', btnArray, function(e) {
					if (e.index == 0) {//执行更新操作
						//alert(result.appConfig.upgradeUrl);
						//alert(plus.runtime.version); 
						//alert(plus.runtime.versionCode);
						//alert(plus.runtime.version.code);
						//plus.runtime.openURL(result.appConfig.upgradeUrl);	
						//尚未找到自动打渠道包的方式 这里的url根据 配置项里的 安卓驱动名字设置
						//FEMorning160314v12001_yingyongbao.apk 
						//http://7u2tjz.com1.z0.glb.clouddn.com/FEMorning160322v13001_mumayi.apk
						//yingyongbao
						//huawei
						//com91
						//meizu
						//oppo
						//gfan
						//mumayi
						//cn360
						//wandoujia
						//baidu
						//feheadline
						//anzuo
						//xiaomi
						//anzhi
						var apk_url=result.appConfig.upgradeUrl;
						//alert(apk_url);
						apk_url=apk_url.substring(0,apk_url.length-4)+"_mumayi.apk";
						//alert(apk_url);
						plus.runtime.openURL(apk_url);	
					} 
				})
        	}
        }
    }


//获取最新版本信息
get_app_config();

//获取最新新闻列表  这个方法里会报坐标错误  会导此方法下面无法正确运行
get_news_list();  





/**
 * 获取新闻详情
 * @param token
 * @param user_id
 */ 
var news_detail_result;
var get_news_detail = function(token,userId,newsId) {
	
		var token="7088922eb6d5a680ae9364f6209c0fdd";
		var userId=0;
		//alert(newsId);
        news_detail_result = get_thrift_client().getNewsDetailV2(token,userId, newsId);
        //alert(news_detail_result.newsDetail);
        $("#news_title").html(news_detail_result.newsDetail.title);
        $("#news_content").html(news_detail_result.newsDetail.content);
        
        //回到顶部
        document.documentElement.scrollTop = document.body.scrollTop =0;
        //隐藏新闻列表
        $("#news_list").hide();
    }

//显示新闻列表
function showNewList () {
	//回到顶部
    document.documentElement.scrollTop = document.body.scrollTop =0;
	$("#news_title").html("");
	$("#news_list").show();
}
		
		
//分享操作
var shares = {};
mui.plusReady(function() {
	plus.share.getServices(function(s) {
		if (s && s.length > 0) {
			for (var i = 0; i < s.length; i++) {
				var t = s[i];
				shares[t.id] = t;
			}
		}
	}, function() {
		console.log("获取分享服务列表失败");
	});
});

//分享链接点击事件
document.getElementById("share").addEventListener('tap', function() {
	var ids = [{
			id: "weixin",
			ex: "WXSceneSession"
		}, {
			id: "weixin",
			ex: "WXSceneTimeline"
		}, {
			id: "qq"
		}],
		bts = [{
			title: "发送给微信好友"
		}, {
			title: "分享到微信朋友圈"
		}, {
			title: "分享到QQ"
		}];
	plus.nativeUI.actionSheet({
		cancel: "取消",
		buttons: bts
	}, function(e) {
		var i = e.index;
		if (i > 0) {
			var s_id = ids[i - 1].id;
			var share = shares[s_id];
			if (share) {
				if (share.authenticated) {
					shareMessage(share, ids[i - 1].ex);
				} else {
					share.authorize(function() {
						shareMessage(share, ids[i - 1].ex);
					}, function(e) {
						console.log("认证授权失败：" + e.code + " - " + e.message);
					});
				}
			} else {
				mui.toast("无法获取分享服务，请检查manifest.json中分享插件参数配置，并重新打包")
			}
		}
	});
});

function shareMessage(share, ex) {
	var msg = {
		extra: {
			scene: ex
		}
	};
	msg.href = "http://www.feheadline.com/webapp/detail.html?id="+news_detail_result.newsDetail.id+"&token=1439713";
	msg.title =  news_detail_result.newsDetail.title;
	msg.content = "美好的一天,从阅读财经早餐开始。";
	msg.thumbs = ["_www/images/logo.png"];
	share.send(msg, function() {
		console.log("分享到\"" + share.description + "\"成功！ ");
	}, function(e) {
		console.log("分享到\"" + share.description + "\"失败: " + e.code + " - " + e.message);
	});
}


//里面的i获取不到  没招了。。。。
/*for (var i = 0 ; i < news_id_arr.length; i++) {
	document.getElementById(news_id_arr[i]).addEventListener('tap', function() {
		alert(i);
		get_news_detail(0,0,news_id_arr[i]);
	});
}
*/

document.getElementById(news_id_arr[0]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[0]);
});
document.getElementById(news_id_arr[1]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[1]);
});
document.getElementById(news_id_arr[2]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[2]);
});
document.getElementById(news_id_arr[3]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[3]);
});
document.getElementById(news_id_arr[4]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[4]);
});
document.getElementById(news_id_arr[5]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[5]);
});
document.getElementById(news_id_arr[6]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[6]);
});
document.getElementById(news_id_arr[7]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[7]);
});
document.getElementById(news_id_arr[8]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[8]);
});
document.getElementById(news_id_arr[9]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[9]);
});
document.getElementById(news_id_arr[10]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[10]);
});
document.getElementById(news_id_arr[11]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[11]);
});
document.getElementById(news_id_arr[12]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[12]);
});
document.getElementById(news_id_arr[13]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[13]);
});
document.getElementById(news_id_arr[14]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[14]);
});
document.getElementById(news_id_arr[15]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[15]);
});
document.getElementById(news_id_arr[16]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[16]);
});
document.getElementById(news_id_arr[17]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[17]);
});
document.getElementById(news_id_arr[18]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[18]);
});
document.getElementById(news_id_arr[19]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[19]);
});
document.getElementById(news_id_arr[20]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[20]);
});
document.getElementById(news_id_arr[21]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[21]);
});
document.getElementById(news_id_arr[22]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[22]);
});
document.getElementById(news_id_arr[23]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[23]);
});
document.getElementById(news_id_arr[24]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[24]);
});
document.getElementById(news_id_arr[25]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[25]);
});
document.getElementById(news_id_arr[26]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[26]);
});
document.getElementById(news_id_arr[27]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[27]);
});
document.getElementById(news_id_arr[28]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[28]);
});
document.getElementById(news_id_arr[29]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[29]);
});
document.getElementById(news_id_arr[30]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[30]);
});
document.getElementById(news_id_arr[31]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[31]);
});
document.getElementById(news_id_arr[32]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[32]);
});
document.getElementById(news_id_arr[33]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[33]);
});
document.getElementById(news_id_arr[34]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[34]);
});
document.getElementById(news_id_arr[35]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[35]);
});
document.getElementById(news_id_arr[36]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[36]);
});
document.getElementById(news_id_arr[37]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[37]);
});
document.getElementById(news_id_arr[38]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[38]);
});
document.getElementById(news_id_arr[39]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[39]);
});
document.getElementById(news_id_arr[40]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[40]);
});
document.getElementById(news_id_arr[41]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[41]);
});
document.getElementById(news_id_arr[42]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[42]);
});
document.getElementById(news_id_arr[43]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[43]);
});
document.getElementById(news_id_arr[44]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[44]);
});
document.getElementById(news_id_arr[45]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[45]);
});
document.getElementById(news_id_arr[46]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[46]);
});
document.getElementById(news_id_arr[47]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[47]);
});
document.getElementById(news_id_arr[48]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[48]);
});
document.getElementById(news_id_arr[49]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[49]);
});
document.getElementById(news_id_arr[50]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[50]);
});
document.getElementById(news_id_arr[51]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[51]);
});
document.getElementById(news_id_arr[52]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[52]);
});
document.getElementById(news_id_arr[53]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[53]);
});
document.getElementById(news_id_arr[54]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[54]);
});
document.getElementById(news_id_arr[55]).addEventListener('tap', function() {
	get_news_detail(0,0,news_id_arr[55]);
});

 
