/**
 * 解析url中的参数， 将它存到window.page.parameters里面
 */
var parse_url_parameter = function() {
        var pos = window.location.href.indexOf("?");
        var url_para_str = window.location.href.substring(pos + 1);
        var url_para_arr = url_para_str.split("&");
        if (typeof window.page == "undefined") window.page = {
            "parameters": {}
        };
        if (typeof window.page.parameters == "undefined") window.page.parameters = {};
        for (var x = 0; x < url_para_arr.length; x++) {
            var a_para_str = url_para_arr[x];
            var a_para_arr = a_para_str.split("=");
            window.page.parameters[a_para_arr[0]] = a_para_arr[1];
        }
    }
 /**
     * 获取url参数值， 例如http://xxxxxx/i.html?a=1&b=2， get_url_parameter(a) 返回1
     */
var get_url_parameter = function(name) {
        if (typeof window.page == "undefined" || typeof window.page.parameters == "undefined") parse_url_parameter();
        if (window.page.parameters.hasOwnProperty(name)) return window.page.parameters[name];
}

//初始化thrift连接的函数////////////////////////////////////////////////////////////////////////
var thrift_client; //用于整个页面的thrift 连接变量
var get_thrift_client = function() {
    if (!thrift_client) init_thrift_connection();
    return thrift_client;
};
var init_thrift_connection = function() {
        var thrift_api_uri = "http://www.feheadline.com/thrift/FNService?type=json&fetcher=FeMorningWebapp"; 
        var transport = new Thrift.Transport(thrift_api_uri);
        var protocol = new Thrift.Protocol(transport);
        thrift_client = new FNThriftServiceClient(protocol);
}
//调用服务端thrift的例子////////////////////////////////////////////////////////////////////////
//var result = get_thrift_client().ping(55,2);
//alert(result);  
 

